# Class SecuritySettingsPanel

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
org.apache.jmeter.protocol.smtp.sampler.gui.SecuritySettingsPanel

All Implemented Interfaces:
  `ImageObserver, MenuContainer, Serializable, Accessible`

public class SecuritySettingsPanel extends JPanel

See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class JPanel

`JPanel.AccessibleJPanel`

### Nested classes/interfaces inherited from class JComponent

`JComponent.AccessibleJComponent`

### Nested classes/interfaces inherited from class Container

`Container.AccessibleAWTContainer`

### Nested classes/interfaces inherited from class Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ENFORCE_STARTTLS`
`static final String`
`SSL_TRUST_ALL_CERTS`
`static final String`
`TRUSTSTORE_TO_USE`
`static final String`
`USE_LOCAL_TRUSTSTORE`
`static final String`
`USE_SSL`
`static final String`
`USE_STARTTLS`

### Fields inherited from class JComponent

`listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class Component

`accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`SecuritySettingsPanel()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`void`
`configure(TestElement element)`
`String`
`getTrustStoreToUse()`
Returns the path to the local (pre-installed) truststore to be used to avoid SSL-connection-exceptions
`void`
`init()`
`boolean`
`isEnforceStartTLS()`
Returns if StartTLS is enforced (normally, SMTP uses plain SMTP-connection as fallback if "250-STARTTLS" isn't sent from the mailserver) (checkbox)
`boolean`
`isTrustAllCerts()`
Returns if all certificates are blindly trusted (using according SocketFactory) (checkbox)
`boolean`
`isUseLocalTrustStore()`
Returns if local (pre-installed) truststore is used to avoid SSL-connection-exceptions (checkbox)
`boolean`
`isUseSSL()`
Returns if SSL is used to secure the SMTP-connection (checkbox)
`boolean`
`isUseStartTLS()`
Returns if StartTLS is used to secure the connection (checkbox)
`void`
`modifyTestElement(TestElement te)`
`void`
`setEnforceStartTLS(boolean enforceStartTLS)`
Enforces StartTLS to secure the SMTP-connection (checkbox)
`void`
`setTrustAllCerts(boolean trustAllCerts)`
Enforces JMeter to trust all certificates, no matter what CA is issuer (checkbox)
`void`
`setTrustStoreToUse(String trustStoreToUse)`
Set the path to local (pre-installed) truststore to be used to avoid SSL-connection-exceptions
`void`
`setUseLocalTrustStore(boolean useLocalTrustStore)`
Set the use of a local (pre-installed) truststore to avoid SSL-connection-exceptions (checkbox)
`void`
`setUseNoSecurity(boolean selected)`
`void`
`setUseSSL(boolean useSSL)`
Sets SSL to be used to secure the SMTP-connection (checkbox)
`void`
`setUseStartTLS(boolean useStartTLS)`
Sets StartTLS to be used to secure the SMTP-connection (checkbox)

### Methods inherited from class JPanel

`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

### Methods inherited from class JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

### Methods inherited from class Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### USE_SSL

public static final String USE_SSL

See Also:
  - Constant Field Values

### USE_STARTTLS

public static final String USE_STARTTLS

See Also:
  - Constant Field Values

### SSL_TRUST_ALL_CERTS

public static final String SSL_TRUST_ALL_CERTS

See Also:
  - Constant Field Values

### ENFORCE_STARTTLS

public static final String ENFORCE_STARTTLS

See Also:
  - Constant Field Values

### USE_LOCAL_TRUSTSTORE

public static final String USE_LOCAL_TRUSTSTORE

See Also:
  - Constant Field Values

### TRUSTSTORE_TO_USE

public static final String TRUSTSTORE_TO_USE

See Also:
  - Constant Field Values

## Constructor Details

### SecuritySettingsPanel

public SecuritySettingsPanel()

## Method Details

### init

public void init()

### isUseSSL

public boolean isUseSSL()
Returns if SSL is used to secure the SMTP-connection (checkbox)

Returns:
  true if SSL is used to secure the SMTP-connection

### setUseSSL

public void setUseSSL(boolean useSSL)
Sets SSL to be used to secure the SMTP-connection (checkbox)

Parameters:
  `useSSL` - Use SSL to secure the connection

### isUseStartTLS

public boolean isUseStartTLS()
Returns if StartTLS is used to secure the connection (checkbox)

Returns:
  true if StartTLS is used to secure the connection

### setUseStartTLS

public void setUseStartTLS(boolean useStartTLS)
Sets StartTLS to be used to secure the SMTP-connection (checkbox)

Parameters:
  `useStartTLS` - Use StartTLS to secure the connection

### isEnforceStartTLS

public boolean isEnforceStartTLS()
Returns if StartTLS is enforced (normally, SMTP uses plain SMTP-connection as fallback if "250-STARTTLS" isn't sent from the mailserver) (checkbox)

Returns:
  true if StartTLS is enforced

### setEnforceStartTLS

public void setEnforceStartTLS(boolean enforceStartTLS)
Enforces StartTLS to secure the SMTP-connection (checkbox)

Parameters:
  `enforceStartTLS` - Enforce the use of StartTLS to secure the connection
See Also:
  - `isEnforceStartTLS()`

### isUseLocalTrustStore

public boolean isUseLocalTrustStore()
Returns if local (pre-installed) truststore is used to avoid SSL-connection-exceptions (checkbox)

Returns:
  true if a local truststore is used

### setUseLocalTrustStore

public void setUseLocalTrustStore(boolean useLocalTrustStore)
Set the use of a local (pre-installed) truststore to avoid SSL-connection-exceptions (checkbox)

Parameters:
  `useLocalTrustStore` - Use local keystore

### getTrustStoreToUse

public String getTrustStoreToUse()
Returns the path to the local (pre-installed) truststore to be used to avoid SSL-connection-exceptions

Returns:
  Path to local truststore

### setTrustStoreToUse

public void setTrustStoreToUse(String trustStoreToUse)
Set the path to local (pre-installed) truststore to be used to avoid SSL-connection-exceptions

Parameters:
  `trustStoreToUse` - Path to local truststore

### setUseNoSecurity

public void setUseNoSecurity(boolean selected)

### isTrustAllCerts

public boolean isTrustAllCerts()
Returns if all certificates are blindly trusted (using according SocketFactory) (checkbox)

Returns:
  true if all certificates are blindly trusted

### setTrustAllCerts

public void setTrustAllCerts(boolean trustAllCerts)
Enforces JMeter to trust all certificates, no matter what CA is issuer (checkbox)

Parameters:
  `trustAllCerts` - Trust all certificates
See Also:
  - `isTrustAllCerts()`

### clear

public void clear()

### configure

public void configure(TestElement element)

### modifyTestElement

public void modifyTestElement(TestElement te)